[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <1361988458-18486-1-git-send-email-jlec@gentoo.org>
Date: Wed, 27 Feb 2013 19:07:37 +0100
From: jlec@...too.org
To: linux-kbuild@...r.kernel.org, linux-kernel@...r.kernel.org
Cc: Justin Lecher <jlec@...too.org>
Subject: [PATCH 1/2] Use config scripts to detect ncurses libs for menuconfig
From: Justin Lecher <jlec@...too.org>
When building ncurses with --with-termlib several symbols get moved from
libncurses.so to libtinfo.so. Thus when linking with libncurses.so, one
additionally needs to link with libtinfo.so.
Ncurses provides a config script (ncurses5-config) to assist finding ncurses.
This patch makes use of it to detect the necessary libs for linking of the
ncurses menuconfig dialog.
Signed-off-by: Justin Lecher <jlec@...too.org>
---
scripts/kconfig/lxdialog/check-lxdialog.sh | 24 ++++++++++++++++--------
1 file changed, 16 insertions(+), 8 deletions(-)
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index c8e8a71..e429207 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -4,15 +4,23 @@
# What library to link
ldflags()
{
- for ext in so a dll.a dylib ; do
- for lib in ncursesw ncurses curses ; do
- $cc -print-file-name=lib${lib}.${ext} | grep -q /
- if [ $? -eq 0 ]; then
- echo "-l${lib}"
- exit
- fi
+ if ncursesw5-config --libs >/dev/null 2>&1; then
+ ncursesw5-config --libs
+ exit
+ elif ncurses5-config --libs >/dev/null 2>&1; then
+ ncurses5-config --libs
+ exit
+ else
+ for ext in so a dll.a dylib ; do
+ for lib in ncursesw ncurses curses ; do
+ $cc -print-file-name=lib${lib}.${ext} | grep -q /
+ if [ $? -eq 0 ]; then
+ echo "-l${lib}"
+ exit
+ fi
+ done
done
- done
+ fi
exit 1
}
--
1.8.1.4
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists